# Generated from augmentor-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name augmentor

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Augment an ActiveRecord class by including additional extension classes
License: MIT
URL: http://github.com/chaunce/augmentor
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sqlite3)
BuildArch: noarch

%description
Augment an ActiveRecord class by including one or moe additional ActiveRecord
extension classes.  The augmented class will inherit all attributes and
methods, including those provided by ActiveRecord such as getters and setters,
as local.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/augmentor.gemspec
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.1-1
- Initial package
